import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class ColorChooser extends JDialog{
	
	JButton _okBtn;
	JButton _cancelBtn;
	
	JColorChooser _colorChooser;
	
	private boolean _accepted;
	
	public ColorChooser(JFrame parent){
		super(parent, true);
		
		
		_colorChooser = new JColorChooser();
		_colorChooser.setBounds(5,5,420,340);
		
		_okBtn = new JButton("Ok");
		_okBtn.setBounds(430,265,105,25);
		_okBtn.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e){
				_accepted = true;
				setVisible(false);
			}
		});
		
		_cancelBtn = new JButton("Cancle");
		_cancelBtn.setBounds(430,300,105,25);
		_cancelBtn.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e){
				_accepted = false;
				setVisible(false);
			}
		});
		
		Container cp = this.getContentPane();
		cp.setLayout(null);
		
		cp.add(_colorChooser);
		cp.add(_okBtn);
		cp.add(_cancelBtn);
		
		setTitle("Color Chooser");
		setSize(550,385);
		setResizable(false);
		setAlwaysOnTop(true);
	}
	
	public boolean getAccepted(){
		return _accepted;
	}
	
	
	
}