import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class AddProjectDialog extends JDialog{
	
	private JButton _btnCancel;
	private JButton _btnCreate;
	private JTextField _tField;
	private JLabel _label;
	
	boolean _accepted;
	
	public AddProjectDialog(JFrame parent){
	
		super(parent, true);
		
		_btnCancel = new JButton();
		_btnCreate = new JButton();
		_tField = new JTextField();
		_label = new JLabel();
		
		
		// Initialize component
		
		
		//_label
		_label.setName("_label");
		_label.setText("Title:");
		_label.setBounds( 15, 15, 30, 25);
		
		
		//_tField
		_tField.setName("_tField");
		_tField.setBounds( 50, 15, 240, 25);
		_tField.addKeyListener(new KeyAdapter(){
			public void keyPressed(KeyEvent e){
				if(e.getKeyCode() == KeyEvent.VK_ENTER)
					onBtnCreate();
			}
		});
		
		//_btnCancel
		_btnCancel.setName("_btnCancel");
		_btnCancel.setText("Cancel");
		_btnCancel.setBounds( 170, 60, 90, 25 );
		_btnCancel.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e){
				onBtnCancel();
			}
		});
		
		
		//_btnCreate
		_btnCreate.setName("_btnCreate");
		_btnCreate.setText("Create");
		_btnCreate.setBounds(40, 60, 90, 25);
		_btnCreate.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e){
				onBtnCreate();
			}
		});
		
		Container cp = this.getContentPane();
		cp.setLayout(null);
		
		cp.add(_label);
		cp.add(_tField);
		cp.add(_btnCancel);
		cp.add(_btnCreate);
		
		setTitle("Add project");
		setSize(new Dimension(300,140));
		setResizable(false);
		setAlwaysOnTop(true);
		
		setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
	}
	
	public String getProjectTitle()
	{
		return _tField.getText();
	}
	
	public void onBtnCreate()
	{
		_accepted = true;
		setVisible(false);
	}
	
	public void onBtnCancel()
	{
		_accepted = false;
		setVisible(false);
	}
	
	public boolean getAccepted()
	{
		return _accepted;
	}
	
	
	
}